Skip to main content
PUT
Update an Immediate Charge

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

X-Account-Id
string<uuid>
required

Account ID (UUID format)

Path Parameters

collection_id
string
required

Identifier of the immediate collection

Body

application/json
additionalInfo
object
Example:
amount
string
Example:

"150.00"

debtorDocument
string
Example:

"52998224725"

debtorName
string
Example:

"Maria Santos"

description
string
Example:

"Updated payment description"

expirationSeconds
integer<int64>
Example:

7200

metadata
object
receiverKey
string
Example:

"+5511988888888"

tags
string[]
Example:

Response

OK

amount
string
required
Example:

"100.00"

createdAt
string<date-time>
required
Example:

"2024-01-15T10:30:00Z"

expirationSeconds
integer<int64>
required
Example:

3600

id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

receiverKey
string
required
Example:

"+5511999999999"

status
string
required
Example:

"ACTIVE"

txId
string
required
Example:

"TXN123456789"

updatedAt
string<date-time>
required
Example:

"2024-01-15T10:30:00Z"

additionalInfo
object
Example:
debtorDocument
string
Example:

"52998224725"

debtorName
string
Example:

"João da Silva"

description
string
Example:

"Payment for order #12345"

emv
string
Example:

"00020126580014br.gov.bcb.pix..."

locationUrl
string
Example:

"https://api.example.com/qr/550e8400"

metadata
object
tags
string[]
Example: